org.apache.jmeter.report.dashboard

## Class ReportGenerator

- java.lang.Object
- - org.apache.jmeter.report.dashboard.ReportGenerator

-     public class ReportGenerator
      extends Object

  The class ReportGenerator provides a way to generate all the templated files of the plugin.
  Since:
    3.0

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `APDEX_SUMMARY_CONSUMER_NAME`
    `static String` | `BEGIN_DATE_CONSUMER_NAME`
    `static String` | `DATE_RANGE_FILTER_CONSUMER_NAME`
    `static String` | `END_DATE_CONSUMER_NAME`
    `static String` | `ERRORS_SUMMARY_CONSUMER_NAME`
    `static String` | `NAME_FILTER_CONSUMER_NAME`
    `static String` | `NORMALIZER_CONSUMER_NAME`
    `static String` | `REQUESTS_SUMMARY_CONSUMER_NAME`
    `static String` | `START_INTERVAL_CONTROLLER_FILTER_CONSUMER_NAME`
    `static String` | `STATISTICS_SUMMARY_CONSUMER_NAME`
    `static String` | `TOP5_ERRORS_BY_SAMPLER_CONSUMER_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReportGenerator(String resultsFile, ResultCollector resultCollector)` Instantiates a new report generator.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `generate()` Generate dashboard reports using the data from the specified CSV File.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NORMALIZER_CONSUMER_NAME

          public static final String NORMALIZER_CONSUMER_NAME

      See Also:
        Constant Field Values

    - #### BEGIN_DATE_CONSUMER_NAME

          public static final String BEGIN_DATE_CONSUMER_NAME

      See Also:
        Constant Field Values

    - #### END_DATE_CONSUMER_NAME

          public static final String END_DATE_CONSUMER_NAME

      See Also:
        Constant Field Values

    - #### NAME_FILTER_CONSUMER_NAME

          public static final String NAME_FILTER_CONSUMER_NAME

      See Also:
        Constant Field Values

    - #### DATE_RANGE_FILTER_CONSUMER_NAME

          public static final String DATE_RANGE_FILTER_CONSUMER_NAME

      See Also:
        Constant Field Values

    - #### APDEX_SUMMARY_CONSUMER_NAME

          public static final String APDEX_SUMMARY_CONSUMER_NAME

      See Also:
        Constant Field Values

    - #### ERRORS_SUMMARY_CONSUMER_NAME

          public static final String ERRORS_SUMMARY_CONSUMER_NAME

      See Also:
        Constant Field Values

    - #### REQUESTS_SUMMARY_CONSUMER_NAME

          public static final String REQUESTS_SUMMARY_CONSUMER_NAME

      See Also:
        Constant Field Values

    - #### STATISTICS_SUMMARY_CONSUMER_NAME

          public static final String STATISTICS_SUMMARY_CONSUMER_NAME

      See Also:
        Constant Field Values

    - #### TOP5_ERRORS_BY_SAMPLER_CONSUMER_NAME

          public static final String TOP5_ERRORS_BY_SAMPLER_CONSUMER_NAME

      See Also:
        Constant Field Values

    - #### START_INTERVAL_CONTROLLER_FILTER_CONSUMER_NAME

          public static final String START_INTERVAL_CONTROLLER_FILTER_CONSUMER_NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ReportGenerator

          public ReportGenerator(String resultsFile,
                                 ResultCollector resultCollector)
                          throws ConfigurationException

      Instantiates a new report generator.
      Parameters:
        `resultsFile` - the test results file
        `resultCollector` - Can be null, used if generation occurs at end of test
      Throws:
        `ConfigurationException` - when loading configuration from file fails

  - ### Method Detail

    - #### generate

          public void generate()
                        throws GenerationException

      Generate dashboard reports using the data from the specified CSV File.
      Throws:
        `GenerationException` - when the generation failed

Copyright © 1998-2022 Apache Software Foundation. All Rights Reserved.